###############################################################################
#
# File:         cvs-1.3.after.configure.patch
# RCS:          $Header: $
# Description:  fix cvs tmpnam, support for ObjC files
# Author:       Christian Limpach <chris@nice.ch>
# Created:      Fri Apr  7 00:48:23 1995
# Modified:     Fri Apr  7 00:49:59 1995 (Christian Limpach) chris@nice.ch
# Language:     patch
# Package:      N/A
# Status:       Experimental (Do Not Distribute)
#
# (C) Copyright 1995, Christian Limpach, all rights reserved.
# This is free software, and you are welcome to redistribute it
# under certain conditions; see ftp://nice.ethz.ch/users/chris/TERMS
# for details. This software comes with ABSOLUTELY NO WARRANTY.
#
###############################################################################

diff -rc /tmp/cvs-1.3/Makefile cvs-1.3/Makefile
*** /tmp/cvs-1.3/Makefile	Fri Apr  7 00:11:59 1995
--- cvs-1.3/Makefile	Fri Apr  7 00:38:35 1995
***************
*** 38,43 ****
--- 38,44 ----
  YACC = bison -y
  # Use cp if you don't have install.
  INSTALL = install -c
+ INSTALLPROG = install -c -s
  INSTALLDATA = install -c -m 644
  
  # Things you might add to DEFS:
***************
*** 101,107 ****
  #### End of system configuration section. ####
  
  MDEFINES = bindir='$(bindir)' libdir='$(libdir)' mandir='$(mandir)' \
! INSTALL='$(INSTALL)' INSTALLDATA='$(INSTALLDATA)' \
  LIBS='$(LIBS)' LIBPROGS='$(LIBPROGS)' MAKE='$(MAKE)' \
  AR='$(AR)' RANLIB='$(RANLIB)' \
  YACC='$(YACC)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' LIBS='$(LIBS)' \
--- 102,108 ----
  #### End of system configuration section. ####
  
  MDEFINES = bindir='$(bindir)' libdir='$(libdir)' mandir='$(mandir)' \
! INSTALL='$(INSTALL)' INSTALLPROG='$(INSTALLPROG)' INSTALLDATA='$(INSTALLDATA)' \
  LIBS='$(LIBS)' LIBPROGS='$(LIBPROGS)' MAKE='$(MAKE)' \
  AR='$(AR)' RANLIB='$(RANLIB)' \
  YACC='$(YACC)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' LIBS='$(LIBS)' \
diff -rc /tmp/cvs-1.3/Makefile.in cvs-1.3/Makefile.in
*** /tmp/cvs-1.3/Makefile.in	Fri Apr 10 20:42:00 1992
--- cvs-1.3/Makefile.in	Fri Apr  7 00:44:36 1995
***************
*** 37,42 ****
--- 37,43 ----
  YACC = @YACC@
  # Use cp if you don't have install.
  INSTALL = @INSTALL@
+ INSTALLPROG = @INSTALL@ -s
  INSTALLDATA = @INSTALLDATA@
  
  # Things you might add to DEFS:
***************
*** 100,106 ****
  #### End of system configuration section. ####
  
  MDEFINES = bindir='$(bindir)' libdir='$(libdir)' mandir='$(mandir)' \
! INSTALL='$(INSTALL)' INSTALLDATA='$(INSTALLDATA)' \
  LIBS='$(LIBS)' LIBPROGS='$(LIBPROGS)' MAKE='$(MAKE)' \
  AR='$(AR)' RANLIB='$(RANLIB)' \
  YACC='$(YACC)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' LIBS='$(LIBS)' \
--- 101,107 ----
  #### End of system configuration section. ####
  
  MDEFINES = bindir='$(bindir)' libdir='$(libdir)' mandir='$(mandir)' \
! INSTALL='$(INSTALL)' INSTALLPROG='$(INSTALLPROG)' INSTALLDATA='$(INSTALLDATA)' \
  LIBS='$(LIBS)' LIBPROGS='$(LIBPROGS)' MAKE='$(MAKE)' \
  AR='$(AR)' RANLIB='$(RANLIB)' \
  YACC='$(YACC)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' LIBS='$(LIBS)' \
diff -rc /tmp/cvs-1.3/lib/Makefile.in cvs-1.3/lib/Makefile.in
*** /tmp/cvs-1.3/lib/Makefile.in	Tue Mar 31 23:55:16 1992
--- cvs-1.3/lib/Makefile.in	Fri Apr  7 00:26:48 1995
***************
*** 29,41 ****
  strippath.c stripslash.c yesno.c \
  getdate.y \
  hostname.c fnmatch.c ftruncate.c mkdir.c rename.c regex.c \
! strdup.c getwd.c alloca.c
  
  OBJECTS = argmatch.o \
  error.o getopt.o getopt1.o \
  sighandle.o \
  strippath.o stripslash.o yesno.o \
! getdate.o \
  @LIBOBJS@
  
  DISTFILES = Makefile.in getopt.h \
--- 29,41 ----
  strippath.c stripslash.c yesno.c \
  getdate.y \
  hostname.c fnmatch.c ftruncate.c mkdir.c rename.c regex.c \
! strdup.c getwd.c alloca.c tmpnam.c
  
  OBJECTS = argmatch.o \
  error.o getopt.o getopt1.o \
  sighandle.o \
  strippath.o stripslash.o yesno.o \
! getdate.o tmpnam.o \
  @LIBOBJS@
  
  DISTFILES = Makefile.in getopt.h \
diff -rc /tmp/cvs-1.3/src/Makefile cvs-1.3/src/Makefile
*** /tmp/cvs-1.3/src/Makefile	Fri Apr  7 00:12:00 1995
--- cvs-1.3/src/Makefile	Fri Apr  7 00:37:25 1995
***************
*** 57,63 ****
  .PHONY: all
  
  install: all
! 	@for prog in $(PROGS); do echo Installing $$prog in $(bindir); $(INSTALL) $$prog $(bindir); done
  .PHONY: install
  
  tags: $(DISTFILES)
--- 57,63 ----
  .PHONY: all
  
  install: all
! 	@for prog in $(PROGS); do echo Installing $$prog in $(bindir); $(INSTALLPROG) $$prog $(bindir); done
  .PHONY: install
  
  tags: $(DISTFILES)
diff -rc /tmp/cvs-1.3/src/config.h cvs-1.3/src/config.h
*** /tmp/cvs-1.3/src/config.h	Thu Apr  6 23:54:47 1995
--- cvs-1.3/src/config.h	Fri Apr  7 00:03:38 1995
***************
*** 64,70 ****
   * when rcsdiff was built on your system.
   */
  #ifndef DIFF
! #define	DIFF	"diff"
  #endif
  
  /*
--- 64,70 ----
   * when rcsdiff was built on your system.
   */
  #ifndef DIFF
! #define	DIFF	"diff -a"
  #endif
  
  /*
***************
*** 132,138 ****
   * recommend using full-paths.
   */
  #ifndef RELATIVE_REPOS
! /* #define	RELATIVE_REPOS	 */
  #endif
  
  /*
--- 132,138 ----
   * recommend using full-paths.
   */
  #ifndef RELATIVE_REPOS
! #define	RELATIVE_REPOS
  #endif
  
  /*
diff -rc /tmp/cvs-1.3/src/import.c cvs-1.3/src/import.c
*** /tmp/cvs-1.3/src/import.c	Thu Apr  6 23:54:47 1995
--- cvs-1.3/src/import.c	Thu Apr  6 23:57:43 1995
***************
*** 606,611 ****
--- 606,612 ----
      "in", "# ",				/* for Makefile.in */
      "l", " * ",				/* lex (conflict between lex and
  					 * franzlisp) */
+     "m",   " * ",			/* ObjC        */
      "mac", ";; ",			/* macro (DEC-10, MS-DOS, PDP-11,
  					 * VMS, etc) */
      "me", ".\\\" ",			/* me-macros	t/nroff	 */
diff -rc /dev-null cvs-1.3/lib/tmpnam.c
*** /dev/null	Fri Apr  7 00:05:09 1995
--- cvs-1.3/lib/tmpnam.c	Fri Apr  7 00:25:48 1995
***************
*** 0 ****
--- 1,41 ----
+ /*
+  * Copyright (c) 1988 Regents of the University of California.
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms are permitted
+  * provided that this notice is preserved and that due credit is given
+  * to the University of California at Berkeley. The name of the University
+  * may not be used to endorse or promote products derived from this
+  * software without specific written prior permission. This software
+  * is provided ``as is'' without express or implied warranty.
+  */
+ 
+ #if defined(LIBC_SCCS) && !defined(lint)
+ static char sccsid[] = "@(#)tmpnam.c	4.4 (Berkeley) 6/8/88";
+ #endif /* LIBC_SCCS and not lint */
+ 
+ #include <sys/param.h>
+ #include <sys/stat.h>
+ #include <sys/file.h>
+ #include <stdio.h>
+ 
+ /*
+  * Use /tmp instead of /usr/tmp, because L_tmpname is only 14 chars
+  * on some machines (like NeXT machines) and /usr/tmp will cause
+  * buffer overflows.
+  */
+ 
+ #define	P_tmpdir	"/tmp"
+ 
+ char *
+ tmpnam(s)
+ 	char *s;
+ {
+ 	static char name[50];
+ 	char *mktemp();
+ 
+ 	if (!s)
+ 		s = name;
+ 	(void)sprintf(s, "%s/XXXXXX", P_tmpdir);
+ 	return(mktemp(s));
+ }
